Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.captcha
Interface CaptchaSecurityContext

All Superinterfaces:
  SecurityContext, Serializable

All Known Implementing Classes:
  CaptchaSecurityContextImpl

    public interface CaptchaSecurityContext

extends SecurityContext

Interface that add humanity concerns to the SecurityContext

Author:
  marc antoine garrigue

Method Summary
`int` | `getHumanRestrictedResourcesRequestsCount()` DOCUMENT ME!
`long` | `getLastPassedCaptchaDateInMillis()` DOCUMENT ME!
`void` | `incrementHumanRestrictedRessoucesRequestsCount()` Method to increment the human Restricted Resrouces Requests Count;
`boolean` | `isHuman()` DOCUMENT ME!
`void` | `setHuman()` set human attribute, should called after captcha validation.

Methods inherited from interface org.acegisecurity.context.SecurityContext
`getAuthentication, setAuthentication`

Method Detail

### setHuman

    void setHuman()

  set human attribute, should called after captcha validation.

### isHuman

    boolean isHuman()

  DOCUMENT ME!

  Returns:
    true if the current user has already passed a captcha.

### getHumanRestrictedResourcesRequestsCount

    int getHumanRestrictedResourcesRequestsCount()

  DOCUMENT ME!

  Returns:
    number of human restricted resources requests since the last passed captcha.

### getLastPassedCaptchaDateInMillis

    long getLastPassedCaptchaDateInMillis()

  DOCUMENT ME!

  Returns:
    the date of the last passed Captcha in millis, 0 if the user never passed captcha.

### incrementHumanRestrictedRessoucesRequestsCount

    void incrementHumanRestrictedRessoucesRequestsCount()

  Method to increment the human Restricted Resrouces Requests Count;

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.